Gets sku inventory information.
1 min
GET
/api/episerver/v3.0/inventory
Query Parameters
- contentIdstring<uuid>DescriptionFormatuuid
Header Parameters
- acceptstringDescriptionDefaultapplication/jsonAllowedapplication/jsonapplication/problem+json
Responses
200
- inventory[]Description
- entryCodestringDescription
- warehouseCodestringDescription
- purchaseAvailableQuantitynumber<decimal>DescriptionFormatdecimal
- purchaseRequestedQuantitynumber<decimal>DescriptionFormatdecimal
- purchaseAvailablestring<date-time>DescriptionFormatdate-time
400
403
404
curl
curl --request GET \
--url /api/episerver/v3.0/inventory \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("/api/episerver/v3.0/inventory", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("/api/episerver/v3.0/inventory")
http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = http.request(request)
puts response.read_body
python
import requests
import json
url = "/api/episerver/v3.0/inventory"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// OK
[
{
"entryCode": "",
"warehouseCode": "",
"purchaseAvailableQuantity": "",
"purchaseRequestedQuantity": "",
"purchaseAvailable": ""
}
]400
// Bad Request
403
// Forbidden
404
// Not Found